#ifndef __screen_manual
#define __screen_manual

#include "include/screenids.h"
#include "../screen.h"
#include "../Control.h"


/*
 * Manual screen
 *   Allows manual entry of the preferred height.
 */
class ManualScreen : public BaseScreen
{
  public:
    ManualScreen(ScreenManager* screenManager, Adafruit_GFX* display) : BaseScreen(screenManager, display) { }

    void onShow();
    void onButton(Button button);
    void onTick();

    ScreenId screenId() { return ScreenId::Manual; };

  private:
};

#endif
